### Function

# Gdk content_serialize_async

#### Declaration [src]

    void
    gdk_content_serialize_async (
      GOutputStream* stream,
      const char* mime_type,
      const GValue* value,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Serialize content and write it to the given output stream, asynchronously.

The default I/O priority is `G_PRIORITY_DEFAULT` (i.e. 0), and lower numbers indicate a higher priority.

When the operation is finished, `callback` will be called. You must then call gdk_content_serialize_finish() to get the result of the operation.

#### Parameters

`stream` | `GOutputStream*`
| A `GOutputStream` to write the serialized content to.
| The data is owned by the caller of the function.
`mime_type` | `const char*`
| The mime type to serialize to.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`value` | `const GValue*`
| The content to serialize.
| The data is owned by the caller of the function.
`io_priority` | `int`
| The I/O priority of the operation.
`cancellable` | `GCancellable*`
| Optional `GCancellable` object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Callback to call when the operation is done.
`user_data` | `gpointer`
| Data to pass to the callback function.